#include <bits/stdc++.h>
using namespace std;
typedef long long ll;

vector<int> solve(vector<int> a)
{
    int n = a.size();
    vector<int> ans, ind;
    int bst = n;
    ll sm = 0;
    for (int x : a) sm += x;

    for (int i = 0; i < n; i++) ind.push_back(i);

    for (int p = 0; p < 720*7+10; p++)
    {
        ll s = 0;
        for (int i = 0; i < n; i++) 
        {
            s += a[ind[i]];
            if (s*2 >= sm)
            {
                i++;
                if (abs(n-2*i) < bst)
                {
                    bst = abs(n-i*2);
                    ans = ind;
                }
                break;
            }
        }

        next_permutation(ind.begin(), ind.end());
    }

    return ans;
} 


// int dif(vector<int> v)
// {
//     int n = v.size();
//     ll s = 0;
//     for (int x : v) s += x;
//     s = (s/2) + (s&1);
//     ll x = 0;
//     for (int i = 0; i < n; i++)
//     {
//         x += v[i];
//         if (x >= s) 
//         {
//             i++;
//             return abs((n - i) - i);
//         }
//     }
//     return n;
// }


// int main () {
//     ios_base::sync_with_stdio(false);
//     cin.tie(NULL);
//     int t;
//     cin >> t ;
//     for (int test=1; test<=t; test++) {
//         int n;
//         cin >> n ;
//         vector <int> a(n);
//         for (int i=0; i<n; i++) {
//             cin >> a[i] ;
//         }

//         auto x = solve(a);
//         for (auto ind : x) {
//             cout << ind << " ";
//         }
//         cout << endl ;
//         cout << dif(x) << endl << endl;
//     }
//     cout << endl ;
//     return 0;
// }
